//---------------------------------------------------------------------------

#ifndef filtrousrH
#define filtrousrH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include <Grids.hpp>
#include <Menus.hpp>
#include <Dialogs.hpp>
#include "utilidades.h"
//---------------------------------------------------------------------------
class TForm6 : public TForm
{
__published:	// IDE-managed Components
	TShape *Shape1;
	TLabel *Label1;
	TEdit *Edit1;
	TButton *Button1;
	TScrollBox *ScrollBox1;
	TStringGrid *rejilla;
	TLabel *Label2;
	TEdit *Edit2;
	TButton *Button2;
	TButton *Button3;
	TButton *Button4;
	TShape *Shape2;
	TScrollBox *ScrollBox2;
	TImage *Image1;
	TButton *Button5;
	TButton *Button6;
	TPopupMenu *menu;
	TMenuItem *Abrir1;
	TMenuItem *Guardar1;
	TMenuItem *Borrar1;
	TOpenDialog *abrir;
	TSaveDialog *guardar;
	TButton *Button7;
	void __fastcall Button1Click(TObject *Sender);
	void __fastcall Button3Click(TObject *Sender);
	void __fastcall rejillaDrawCell(TObject *Sender, int ACol, int ARow, TRect &Rect,
          TGridDrawState State);
	void __fastcall Abrir1Click(TObject *Sender);
	void __fastcall Guardar1Click(TObject *Sender);
	void __fastcall creaRejilla(bool nueva);
	void __fastcall borraRejilla();
	void __fastcall Borrar1Click(TObject *Sender);
	void __fastcall cargaMatriz();
	void __fastcall pintaRejilla();
	void __fastcall Button4Click(TObject *Sender);
	void __fastcall Button2Click(TObject *Sender);
	void __fastcall FormHide(TObject *Sender);
	void __fastcall Button5Click(TObject *Sender);
	void __fastcall Button6Click(TObject *Sender);
	void __fastcall Button7Click(TObject *Sender);
private:	// User declarations
	int **mascara;
	utilidades* doc;
	int anchura;
	int altura;
	int divisor;
public:		// User declarations
	__fastcall TForm6(TComponent* Owner);
	void __fastcall TForm6::setDoc(utilidades* documento);
	void __fastcall TForm6::pinta();
};
//---------------------------------------------------------------------------
extern PACKAGE TForm6 *Form6;
//---------------------------------------------------------------------------
#endif
